using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class vehi
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public vehi()
       {
           Fields.AddRange(new MetaNode[] {
           new Bitmask("Flags", new string[] { "Does_Not_Cast_Shadow", "Search_Cardinal_Direction_Lightmaps", "unused", "Not_A_Pathfinding_Obstacle", "Extension_Of_Parent", "Does_Not_Cause_Collision_Damage", "Early_Mover", "Early_Mover_Localized_Physics", "Use_Static_Massive_Lightmap_Sample", "Object_Scales_Attachments", "Inherits_Player's_Appearance", "Dead_Bipeds_Can't_Localize", "Attach_To_Clusters_By_Dynamic_Sphere", "Effects_Created_By_This_Object_Do_Not" }, 32),
           new Value("Bounding Radius", typeof(float)),
           new Value("Bounding Offset X", typeof(float)),
           new Value("Bounding Offset Y", typeof(float)),
           new Value("Bounding Offset Z", typeof(float)),
           new Value("Acceleration Scale", typeof(float)),
           new HaloObjects.Enum("Lightmap Shadow Mode", new string[] { "Default", "Never", "Always" }, 32),
           new HaloObjects.Enum("Sweetener Size", new string[] { "Small", "Medium", "Large" }, 32),
           new Value("Dynamic Light Sphere Radius", typeof(float)),
           new Value("Dynamic Light Sphere Offset X", typeof(float)),
           new Value("Dynamic Light Sphere Offset Y", typeof(float)),
           new Value("Dynamic Light Sphere Offset Z", typeof(float)),
           new StringID("Default Model Variant"),
           new TagReference("Model"),
           new TagReference("Crate_Object"),
           new TagReference("Modifier_Shader"),
           new TagReference("Creation_Effect"),
           new TagReference("Material_Effects"),
           new Reflexive("Ai Properties", 16, new MetaNode[] { 
               new Bitmask("Flags", new string[] { "Destroyable_Cover", "Pathfinding_Ignore_When_Dead", "Dynamic_Cover" }, 32),
               new StringID("Type Name"),
               new HaloObjects.Enum("Size", new string[] { "Default", "Tiny", "Small", "Medium", "Large", "Huge", "Immobile" }, 32),
               new HaloObjects.Enum("Leap Jump Speed", new string[] { "None", "Down", "Step", "Crouch", "Stand", "Storey", "Tower", "Infinite" }, 32),
           }),
           new Reflexive("Functions", 32, new MetaNode[] { 
               new Bitmask("Flags", new string[] { "Invert", "Mapping_Does_Not_Controls_Active", "Always_Active", "Random_Time_Offset" }, 32),
               new StringID("Import Name"),
               new StringID("Export Name"),
               new StringID("Turn Off With"),
               new Value("Min Value", typeof(float)),
               new Reflexive("Function Type (Graph)", 1, new MetaNode[] { 
                   new Value("Data", typeof(byte)),
               }),
               new StringID("Scale By"),
           }),
           new Value("Apply Collision Damage Scale", typeof(float)),
           new Value("Min Game Acc (Default)", typeof(float)),
           new Value("Max Game Acc (Default)", typeof(float)),
           new Value("Min Gam Scale (Default)", typeof(float)),
           new Value("Max Gam Scale (Default)", typeof(float)),
           new Value("Min abs Acc (Default)", typeof(float)),
           new Value("Max abs Acc (Default)", typeof(float)),
           new Value("Min abs Scale (Default)", typeof(float)),
           new Value("Max abs Scale (Default)", typeof(float)),
           new Value("Hud Text Message Index", typeof(short)),
           new Unused(2),
           new Reflexive("Attachments", 24, new MetaNode[] { 
               new TagReference("Type"),
               new StringID("Marker"),
               new StringID("Change Color"),
               new StringID("Primary Scale"),
               new StringID("Secondary Scale"),
           }),
           new Reflexive("Widgets", 8, new MetaNode[] { 
               new TagReference("Type"),
           }),
           new Reflexive("Old Functions", 8, new MetaNode[] {
               new Unused(8),
           }),
           new Reflexive("Change Colors", 16, new MetaNode[] { 
               new Reflexive("Initial Permutations", 32, new MetaNode[] { 
                   new Value("Weight", typeof(float)),
                   new Value("Color Lower Bound R", typeof(float)),
                   new Value("Color Lower Bound G", typeof(float)),
                   new Value("Color Lower Bound B", typeof(float)),
                   new Value("Color Upper Bound R", typeof(float)),
                   new Value("Color Upper Bound G", typeof(float)),
                   new Value("Color Upper Bound B", typeof(float)),
                   new StringID("Variant Name"),
               }),
               new Reflexive("Functions", 36, new MetaNode[] { 
                   new Bitmask("Scale Flags", new string[] { "Blend_In_HSV", "...More_Colors" }, 32),
                   new Value("Color Lower Bound R", typeof(float)),
                   new Value("Color Lower Bound G", typeof(float)),
                   new Value("Color Lower Bound B", typeof(float)),
                   new Value("Color Upper Bound R", typeof(float)),
                   new Value("Color Upper Bound G", typeof(float)),
                   new Value("Color Upper Bound B", typeof(float)),
                   new StringID("Darken By"),
                   new StringID("Scale By"),
               }),
           }),
           new Reflexive("Predicted Resource", 8, new MetaNode[] { 
               new Value("Type", typeof(short)),
               new Value("Resource Index", typeof(short)),
               new Ident("Tag_Index"),
           }),
           new Bitmask("Flags", new string[] { "Circular_Aiming", "Destroyed_After_Dying", "Half-speed_Interpolation", "Fires_From_Camera", "Entrance_Inside_Bounding_sphere_", "Doesn't_Show_Readied_Weapon", "Couses_Passenger_Dialogue", "Resists_Pings", "Melee_Attack_Is_Fatal", "Don't_Reface_During_Pings", "Has_No_Aiming", "Simple_Creature", "Impact_Melle_Attaches_To_Unit", "Impact_Melee_Dies_On_Shield", "Cannot_Open_Doors_Automatically", "Melee_Attackers_Cannot_Attach", "Not_Instantly_Killed_By_Melee", "Shield_Sapping", "Runs_Around_Flaming", "Inconsequential", "Special_Cinematic_Unit", "Ignored_By_AutoAiming", "Shields_Fry_Infection_Forms", "unused", "unused", "Acts_As_Gunner_For_Parent", "Controlled_By_Parent_Gunner", "Parent's_Primary_Weapon", "Unit_Has_Boost" }, 32),
           new HaloObjects.Enum("Default Team", new string[] { "Deafult", "Player", "Human", "Covenant", "Flood", "Sentinel", "Heretic", "Prophet" }, 16),
           new HaloObjects.Enum("Constant Sound Volume", new string[] { "Silent", "Medium", "Loud", "Shout", "Quiet" }, 16),
           new TagReference("Integrated_Light_Toggle"),
           new Value("Camera Field of View", typeof(float)),
           new Value("Camera Stiffness", typeof(float)),
           new StringID("Camera Marker Name"),
           new StringID("Camera Submerged Marker Name"),
           new Value("Pitch Auto-Level", typeof(float)),
           new Value("Pitch Range", typeof(float)),
           new Value("...To", typeof(float)),
           new Reflexive("Camera Tracks", 8, new MetaNode[] { 
               new TagReference("Track"),
           }),
           new Value("Acceleration Scale i", typeof(float)),
           new Value("Acceleration Scale j", typeof(float)),
           new Value("Acceleration Scale k", typeof(float)),
           new Value("Acceleration Action Scale", typeof(float)),
           new Value("Acceleration Attach Scale", typeof(float)),
           new Value("Soft Ping Threshold", typeof(float)),
           new Value("Soft Ping Interrupt Time", typeof(float)),
           new Value("Hard Ping Threshold", typeof(float)),
           new Value("Hard Ping Interrupt Time", typeof(float)),
           new Value("Hard Ping Death Threshold", typeof(float)),
           new Value("Feign Death Threshold", typeof(float)),
           new Value("Feign Death Time", typeof(float)),
           new Value("Dist Of Evade Anim", typeof(float)),
           new Value("Dist of Dive Anim", typeof(float)),
           new Value("Stunned Movement Threshold", typeof(float)),
           new Value("Feign Death Chance", typeof(float)),
           new Value("Feign Repeat Chance", typeof(float)),
           new TagReference("Spawned_Turret_Actor"),
           new Value("Spawned Actor Count", typeof(short)),
           new Value("...To", typeof(short)),
           new Value("Spawned Velocity", typeof(float)),
           new Value("Aiming Velocity Max", typeof(float)),
           new Value("Aiming Accel Max", typeof(float)),
           new Value("Casual Aiming Modifier", typeof(float)),
           new Value("Looking Velocity Max", typeof(float)),
           new Value("Looking Accel Max", typeof(float)),
           new StringID("Right Hand Node"),
           new StringID("Left Hand Node"),
           new StringID("Preferred Gun Node"),
           new TagReference("Melee_Damage"),
           new TagReference("Boarding_Melee_Damage"),
           new TagReference("Boarding_Melee_Response"),
           new TagReference("Landing_Melee_Damage"),
           new TagReference("Flurry_Melee_Damage"),
           new TagReference("Obstacle_Smash_Damage"),
           new HaloObjects.Enum("Motion Sensor Blip Size", new string[] { "Medium", "Small", "Large" }, 32),
           new Reflexive("Postures", 16, new MetaNode[] { 
               new StringID("Name"),
               new Value("Pill Offset i", typeof(float)),
               new Value("Pill Offset j", typeof(float)),
               new Value("Pill Offset k", typeof(float)),
           }),
           new Reflexive("New Hud Interfaces", 8, new MetaNode[] { 
               new TagReference("New_Unit_Hud_Interface"),
           }),
           new Reflexive("Dialogue Variants", 24, new MetaNode[] { 
               new Value("Variant Number", typeof(short)),
               new Unused(10),
               new TagReference("Dialogue"),
               new Unused(4),
           }),
           new Value("Grenade Velocity", typeof(float)),
           new HaloObjects.Enum("Grenade Type", new string[] { "Human_Fragmentation", "Covenant_Plasma" }, 16),
           new Value("Grenade Count", typeof(ushort)),
           new Reflexive("Powered Seats", 8, new MetaNode[] { 
               new Value("Driver Powerup Time", typeof(float)),
               new Value("Driver Powerdown Time", typeof(float)),
           }),
           new Reflexive("Weapon", 8, new MetaNode[] { 
               new TagReference("Weapon"),
           }),
           new Reflexive("Seats", 176, new MetaNode[] { 
               new Bitmask("Flags", new string[] { "Invisible", "Locked", "Driver", "Gunner", "3rd_Person_Camera", "Allows_Weapons", "3rd_Person_On_Enter", "1st_Person_Camera_Slaved_To_Gun", "Allow_Vehicle_Communication_Animations", "Not_Valid_Without_Driver", "Allow_AI_NonCombatants", "Boarding_Seat", "AI_Firing_Disabled_By_Max_Acceleration", "Boarding_Enters_Seat", "Boarding_Need_Any_Passenger", "Invaild_For_Player", "Invaild_For_Non-Player", "Gunner_(Player_Only)", "Invisible_Under_Major_Damage" }, 32),
               new StringID("Label"),
               new StringID("Sitting Postion Marker"),
               new StringID("Entry Marker(s) Name"),
               new StringID("Boarding Grenade Marker"),
               new StringID("Boarding Grenade String"),
               new StringID("Boarding Melee String"),
               new Value("Ping Scale", typeof(float)),
               new Value("Turnover Time (sec)", typeof(float)),
               new Value("Accel Range i", typeof(float)),
               new Value("Accel Range j", typeof(float)),
               new Value("Accel Range k", typeof(float)),
               new Value("Accel Action Scale", typeof(float)),
               new Value("Accel Attach Scale", typeof(float)),
               new Value("AI Scariness", typeof(float)),
               new HaloObjects.Enum("AI Seat Type", new string[] { "None", "Passenger", "Gunner", "Small_Cargo", "Large_Cargo", "Driver" }, 16),
               new Value("Boarding Seat #", typeof(short)),
               new Value("Listener Interpolation Factor", typeof(float)),
               new Value("Yaw Rate Bounds", typeof(float)),
               new Value("...To", typeof(float)),
               new Value("Pitch Rate Bounds", typeof(float)),
               new Value("...To", typeof(float)),
               new Value("Min Speed Ref", typeof(float)),
               new Value("Max Speed Ref", typeof(float)),
               new Value("Speed Exponent", typeof(float)),
               new StringID("Camera Marker Name"),
               new StringID("Camera Submerged Marker name"),
               new Value("Pitch Auto-level", typeof(float)),
               new Value("Pitch Range Lower", typeof(float)),
               new Value("Pitch Range Upper", typeof(float)),
               new Reflexive("Camera Tracks", 8, new MetaNode[] { 
                   new TagReference("Track"),
               }),
               new Reflexive("Unit Hud Interface", 8, new MetaNode[] { 
                   new TagReference("New_Unit_Hud_Interface"),
               }),
               new StringID("Enter Seat String"),
               new Value("Yaw Min", typeof(float)),
               new Value("Yaw Max", typeof(float)),
               new TagReference("Built-in_Gunner"),
               new Value("Entry Radius", typeof(float)),
               new Value("Entry Marker Cone Angle", typeof(float)),
               new Value("Entry Marker Facing Angle", typeof(float)),
               new Value("Maximum Relative Velocity", typeof(float)),
               new StringID("Invisible Seat Region"),
               new Value("Runtime Invisible Seat Region Index", typeof(float)),
           }),
           new Value("Boost Peak Power", typeof(float)),
           new Value("Boost Rise Power", typeof(float)),
           new Value("Boost Peak Time", typeof(float)),
           new Value("Boost Fall Power", typeof(float)),
           new Value("Dead Time", typeof(float)),
           new Value("Lip Sync Attack Weight", typeof(float)),
           new Value("Lip Sync decay Weight", typeof(float)),
           new Bitmask("Flags", new string[] { "Speed_Wakes_Physics", "Turn_Wakes_Physics", "Driver_Power_Wakes_Physics", "Gunner_Power_Wakes_Physics", "Control_Opposite_Speed_Sets_Brake", "Slide_Wakes_Physics", "Kills_Riders_at_Terminal_Velocity", "Causes_Collision_Damage", "AI_Weapon_Cannot_Rotate", "AI_Does_Not_Require_Driver", "AI_Unused", "AI_Driver_Enable", "AI_Driver_Flying", "AI_Driver_Can-Sidestep", "AI_Driver_Hovering", "Vehicle_Steers_Directly", "Unused", "Has_E-Brake", "Noncombat_Vehicle", "No_Friction_W/Driver", "Can_Trigger_Automatic_Opening_doors", "Autoaim_When_Teamless" }, 32),
           new HaloObjects.Enum("Type", new string[] { "Human_Tank", "Human_Jeep", "Human_Boat", "Human_Plane", "Covie_Scout", "Covie_Fighter", "Turret" }, 16),
           new HaloObjects.Enum("Control", new string[] { "Vehicle_Control_Normal", "Vehicle_Control_Unused", "Vehicle_Control_Tank" }, 16),
           new Value("Maximum Forward Speed", typeof(float)),
           new Value("Max Reverse Speed", typeof(float)),
           new Value("Speed Accel", typeof(float)),
           new Value("Speed Decel", typeof(float)),
           new Value("Max Left Turn", typeof(float)),
           new Value("Max Right Turn (negative)", typeof(float)),
           new Value("Wheel Circumference", typeof(float)),
           new Value("Turn Rate", typeof(float)),
           new Value("Blur Speed", typeof(float)),
           new HaloObjects.Enum("Specific Type", new string[] { "None", "Ghost", "Wraith", "Spectre", "Sentinal_Enforcer" }, 16),
           new HaloObjects.Enum("Player Training Vehicle Type", new string[] { "None", "Warthog", "Warthog_Turret", "Ghost", "Banshee", "Tank", "Wraith" }, 16),
           new StringID("Flip message"),
           new Value("Turn Scale", typeof(float)),
           new Value("Speed Turn Penalty Power (0.5 .. 2)", typeof(float)),
           new Value("Speed Turn Penalty (0 = none, 1 = can't turn at top speed)", typeof(float)),
           new Value("Maximum Left Slide", typeof(float)),
           new Value("Maximum Right Slide", typeof(float)),
           new Value("Slide Acceleration", typeof(float)),
           new Value("Slide Deceleration", typeof(float)),
           new Value("Minimum Flipping Angular Velocity", typeof(float)),
           new Value("Maximum Flipping Angular Velocity", typeof(float)),
           new HaloObjects.Enum("Vehicle Size", new string[] { "Small", "Large" }, 32),
           new Value("Fixed Gun Yaw", typeof(float)),
           new Value("Fixed Gun Pitch", typeof(float)),
           new Value("Steering Overdampening Cusp Angle (degrees)", typeof(float)),
           new Value("Steering Overdampening Exponent", typeof(float)),
           new Value("Crouch Transition Time (seconds)", typeof(float)),
           new Unused(4),
           new Value("Engine", typeof(float)),
           new Value("Engine Max Angular Velocity", typeof(float)),
           new Reflexive("Gears (0=Reverse, 1=1st Gear etc)", 68, new MetaNode[] { 
               new Value("Loaded Torque - Min Torque", typeof(float)),
               new Value("Loaded Torque - Max Torque", typeof(float)),
               new Value("Loaded Torque - Peak Torque Scale", typeof(float)),
               new Value("Loaded Torque - Past Peak Torque Exponent", typeof(float)),
               new Value("Loaded Torque - Torque At Max Angular Velocity", typeof(float)),
               new Value("Loaded Torque - Torque At 2X Max Angular Velocity", typeof(float)),
               new Value("Cruising Torque - Min Torque", typeof(float)),
               new Value("Cruising Torque - Max Torque", typeof(float)),
               new Value("Cruising Torque - Peak Torque Scale", typeof(float)),
               new Value("Cruising Torque - Past Peak Torque Exponent", typeof(float)),
               new Value("Cruising Torque - Torque At Max Angular Velocity", typeof(float)),
               new Value("Cruising Torque - Torque At 2X Max Angular Velocity", typeof(float)),
               new Value("Min Time To Upshift", typeof(float)),
               new Value("Engine Up-Shift Scale", typeof(float)),
               new Value("Gear Ratio", typeof(float)),
               new Value("Min Time To Downshift", typeof(float)),
               new Value("Engine Down-Shift Scale", typeof(float)),
           }),
           new Value("Flying Torque Scale", typeof(float)),
           new Value("Seat Enterance Acceleration Scale", typeof(float)),
           new Value("Seat Exit Accelersation Scale", typeof(float)),
           new Value("Air Friction Deceleration", typeof(float)),
           new Value("Thrust Scale", typeof(float)),
           new TagReference("Suspension_Sound"),
           new TagReference("Crash_Sound"),
           new TagReference("unused"),
           new TagReference("Special_Effect"),
           new TagReference("Unused_Effect"),
           new Bitmask("Flags", new string[] { "Invaild" }, 32),
           new Value("Ground Friction", typeof(float)),
           new Value("Ground Depth", typeof(float)),
           new Value("Ground Damp Factor", typeof(float)),
           new Value("Ground Moving Friction", typeof(float)),
           new Value("Ground Maximum Slope 0", typeof(float)),
           new Value("Ground Maximum Slope 1", typeof(float)),
           new Unused(16),
           new Value("Anti Gravity Bank Lift", typeof(float)),
           new Value("Steering Bank Reaction Scale", typeof(float)),
           new Value("Gravity Scale", typeof(float)),
           new Value("Radius", typeof(float)),
           new Reflexive("Antigrav Points", 76, new MetaNode[] { 
               new StringID("Marker Name"),
               new Bitmask("Flags", new string[] { "Gets_Damage_From_Region" }, 32),
               new Value("Antigrav Strength", typeof(float)),
               new Value("Antigrav Offset", typeof(float)),
               new Value("Antigrav Height", typeof(float)),
               new Value("Antigrav Damp Factor", typeof(float)),
               new Value("Antigrav Normal K1", typeof(float)),
               new Value("Antigrav Normal K0", typeof(float)),
               new Value("Radius", typeof(float)),
               new Unused(16),
               new StringID("Damage Source Region Name"),
               new Value("Default State Error", typeof(float)),
               new Value("Minor Damage Error", typeof(float)),
               new Value("Medium Damage Error", typeof(float)),
               new Value("Major Damage Error", typeof(float)),
               new Value("Destoryed State Error", typeof(float)),
           }),
           new Reflexive("Friction Points", 76, new MetaNode[] { 
               new StringID("Marker Name"),
               new Bitmask("Flags", new string[] { "Gets_Damage_From_Region", "Powered", "Front_Turning", "Rear_Turning", "Attached_To_E-Brake", "Can_Be_Destroyed" }, 32),
               new Value("Fraction Of Total Mass", typeof(float)),
               new Value("Radius", typeof(float)),
               new Value("Damaged Radius", typeof(float)),
               new HaloObjects.Enum("Friction Type", new string[] { "Point", "Forward" }, 32),
               new Value("Moving Friction Velocity Diff", typeof(float)),
               new Value("E-Brake Moving Friction", typeof(float)),
               new Value("E-Brake Friction", typeof(float)),
               new Value("E-Brake Moving Friction Vel Diff", typeof(float)),
               new Unused(20),
               new StringID("Collision Global Material Name"),
               new HaloObjects.Enum("Model State Destroyed", new string[] { "Default", "Minor_Damage", "Medium_Damage", "Major_Damage", "Destroyed" }, 32),
               new StringID("Region"),
               new Unused(4),
           }),
           new Reflexive("Havok Vehicle Physics", 672, 16, new MetaNode[] { 
               new Value("Size", typeof(short)),
               new Value("Count", typeof(short)),
               new Value("Child Shapes Size", typeof(int)),
               new Value("Child Shapes Capacity", typeof(int)),
               new HaloObjects.Enum("Shape Type", new string[] {  }, 32),
               new HaloObjects.Enum("Shape", new string[] {  }, 32),
               new Value("Collision Filter", typeof(int)),
               new HaloObjects.Enum("Shape Type", new string[] {  }, 32),
               new HaloObjects.Enum("Shape", new string[] {  }, 32),
               new Value("Collision Filter", typeof(int)),
               new HaloObjects.Enum("Shape Type", new string[] {  }, 32),
               new HaloObjects.Enum("Shape", new string[] {  }, 32),
               new Value("Collision Filter", typeof(int)),
               new HaloObjects.Enum("Shape Type", new string[] {  }, 32),
               new HaloObjects.Enum("Shape", new string[] {  }, 32),
               new Value("Collision Filter", typeof(float)),
               new Value("Multisphere Count", typeof(int)),
               new Bitmask("Flags", new string[] { "Has_AABB_Phantom", "BORK_BORK_BORK!" }, 32),
               new Unused(4),
               new Value("X0", typeof(float)),
               new Value("X1", typeof(float)),
               new Value("Y0", typeof(float)),
               new Value("Y1", typeof(float)),
               new Value("Z0", typeof(float)),
               new Value("Z1", typeof(float)),
               new Value("Initialized at RunTime", typeof(int)),
               new Value("Initialized at RunTime", typeof(int)),
               new Value("Size", typeof(short)),
               new Value("Count", typeof(short)),
               new Value("Num Of Spheres", typeof(int)),
               new Value("Sphere 0 i", typeof(float)),
               new Value("Sphere 0 j", typeof(float)),
               new Value("Sphere 0 k", typeof(float)),
               new Value("Sphere 1 i", typeof(float)),
               new Value("Sphere 1 j", typeof(float)),
               new Value("Sphere 1 k", typeof(float)),
               new Value("Sphere 2 i", typeof(float)),
               new Value("Sphere 2 j", typeof(float)),
               new Value("Sphere 2 k", typeof(float)),
               new Value("Sphere 3 i", typeof(float)),
               new Value("Sphere 3 j", typeof(float)),
               new Value("Sphere 3 k", typeof(float)),
               new Value("Sphere 4 i", typeof(float)),
               new Value("Sphere 4 j", typeof(float)),
               new Value("Sphere 4 k", typeof(float)),
               new Value("Sphere 5 i", typeof(float)),
               new Value("Sphere 5 j", typeof(float)),
               new Value("Sphere 5 k", typeof(float)),
               new Value("Sphere 6 i", typeof(float)),
               new Value("Sphere 6 j", typeof(float)),
               new Value("Sphere 6 k", typeof(float)),
               new Value("Sphere 7 i", typeof(float)),
               new Value("Sphere 7 j", typeof(float)),
               new Value("Sphere 7 k", typeof(float)),
               new Value("Sphere 8 i", typeof(float)),
               new Value("Sphere 8 j", typeof(float)),
               new Value("Sphere 8 k", typeof(float)),
               new Value("Sphere 9 i", typeof(float)),
               new Value("Sphere 9 j", typeof(float)),
               new Value("Sphere 9 k", typeof(float)),
               new Value("Sphere 10 i", typeof(float)),
               new Value("Sphere 10 j", typeof(float)),
               new Value("Sphere 10 k", typeof(float)),
               new Value("Size", typeof(short)),
               new Value("Count", typeof(short)),
               new Value("Num Of Spheres", typeof(int)),
               new Value("Sphere 1 i", typeof(float)),
               new Value("Sphere 1 j", typeof(float)),
               new Value("Sphere 1 k", typeof(float)),
               new Value("Sphere 2 i", typeof(float)),
               new Value("Sphere 2 j", typeof(float)),
               new Value("Sphere 2 k", typeof(float)),
               new Value("Sphere 3 i", typeof(float)),
               new Value("Sphere 3 j", typeof(float)),
               new Value("Sphere 3 k", typeof(float)),
               new Value("Sphere 4 i", typeof(float)),
               new Value("Sphere 4 j", typeof(float)),
               new Value("Sphere 4 k", typeof(float)),
               new Value("Sphere 5 i", typeof(float)),
               new Value("Sphere 5 j", typeof(float)),
               new Value("Sphere 5 k", typeof(float)),
               new Value("Sphere 6 i", typeof(float)),
               new Value("Sphere 6 j", typeof(float)),
               new Value("Sphere 6 k", typeof(float)),
               new Value("Sphere 7 i", typeof(float)),
               new Value("Sphere 7 j", typeof(float)),
               new Value("Sphere 7 k", typeof(float)),
               new Value("Sphere 8 i", typeof(float)),
               new Value("Sphere 8 j", typeof(float)),
               new Value("Sphere 8 k", typeof(float)),
               new Value("Sphere 9 i", typeof(float)),
               new Value("Sphere 9 j", typeof(float)),
               new Value("Sphere 9 k", typeof(float)),
               new Value("Sphere 10 i", typeof(float)),
               new Value("Sphere 10 j", typeof(float)),
               new Value("Sphere 10 k", typeof(float)),
               new Value("Size", typeof(short)),
               new Value("Count", typeof(short)),
               new Value("Num Of Spheres", typeof(int)),
               new Value("Sphere 1 i", typeof(float)),
               new Value("Sphere 1 j", typeof(float)),
               new Value("Sphere 1 k", typeof(float)),
               new Value("Sphere 2 i", typeof(float)),
               new Value("Sphere 2 j", typeof(float)),
               new Value("Sphere 2 k", typeof(float)),
               new Value("Sphere 3 i", typeof(float)),
               new Value("Sphere 3 j", typeof(float)),
               new Value("Sphere 3 k", typeof(float)),
               new Value("Sphere 4 i", typeof(float)),
               new Value("Sphere 4 j", typeof(float)),
               new Value("Sphere 4 k", typeof(float)),
               new Value("Sphere 5 i", typeof(float)),
               new Value("Sphere 5 j", typeof(float)),
               new Value("Sphere 5 k", typeof(float)),
               new Value("Sphere 6 i", typeof(float)),
               new Value("Sphere 6 j", typeof(float)),
               new Value("Sphere 6 k", typeof(float)),
               new Value("Sphere 7 i", typeof(float)),
               new Value("Sphere 7 j", typeof(float)),
               new Value("Sphere 7 k", typeof(float)),
               new Value("Sphere 8 i", typeof(float)),
               new Value("Sphere 8 j", typeof(float)),
               new Value("Sphere 8 k", typeof(float)),
               new Value("Sphere 9 i", typeof(float)),
               new Value("Sphere 9 j", typeof(float)),
               new Value("Sphere 9 k", typeof(float)),
               new Value("Sphere 10 i", typeof(float)),
               new Value("Sphere 10 j", typeof(float)),
               new Value("Sphere 10 k", typeof(float)),
               new Value("Size", typeof(short)),
               new Value("Count", typeof(short)),
               new Value("Num Of Spheres", typeof(int)),
               new Value("For", typeof(float)),
               new Value("Any", typeof(float)),
               new Value("One", typeof(float)),
               new Value("Who", typeof(float)),
               new Value("Cares", typeof(float)),
               new Value("This Reflexive Isn't 100% Accurate", typeof(float)),
               new Value("Size", typeof(short)),
               new Value("Count", typeof(short)),
               new Value("Num Of Spheres", typeof(int)),
               new Value("Sphere 0 ", typeof(float)),
               new Value("Sphere 0 ", typeof(float)),
               new Value("Sphere 0 ", typeof(float)),
               new Value("Sphere 1 ", typeof(float)),
               new Value("Sphere 1 ", typeof(float)),
               new Value("Sphere 1 ", typeof(float)),
               new Value("Sphere 2 ", typeof(float)),
               new Value("Sphere 2 ", typeof(float)),
               new Value("Sphere 2 ", typeof(float)),
               new Value("Sphere 3 ", typeof(float)),
               new Value("Sphere 3 ", typeof(float)),
               new Value("Sphere 3 ", typeof(float)),
               new Value("Sphere 4 ", typeof(float)),
               new Value("Sphere 4 ", typeof(float)),
               new Value("Sphere 4 ", typeof(float)),
               new Value("Sphere 5 ", typeof(float)),
               new Value("Sphere 5 ", typeof(float)),
               new Value("Sphere 5 ", typeof(float)),
               new Value("Sphere 6 ", typeof(float)),
               new Value("Sphere 6 ", typeof(float)),
               new Value("Sphere 6 ", typeof(float)),
               new Value("Sphere 7 ", typeof(float)),
               new Value("Sphere 7 ", typeof(float)),
               new Value("Sphere 7 ", typeof(float)),
               new Value("Sphere 8 ", typeof(float)),
               new Value("Sphere 8 ", typeof(float)),
               new Value("Sphere 8 ", typeof(float)),
               new Value("Sphere 9 ", typeof(float)),
               new Value("Sphere 9 ", typeof(float)),
               new Value("Sphere 9 ", typeof(float)),
               new Value("Sphere 10 ", typeof(float)),
               new Value("Sphere 10 ", typeof(float)),
               new Value("Sphere 10 ", typeof(float)),
           }),
           });
       }
    }
}
